<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/UIConstants.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_u_i_constants_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">UIConstants.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_u_i_constants_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  UIConstants.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by zahir on 2017/6/12.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2017年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//UI相关基础设置</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;CKKit/CKKit.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#ifndef UIConstants_h</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#define UIConstants_h</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#pragma mark - --------颜色设置--------------</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//  默认主题颜色</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define kDefTintColor           RGBCOLOR(13, 217, 166)</span></div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a9d317abe1dc63a5296866bbf7f9291dd">   17</a></span>&#160;<span class="preprocessor">#define kDefRedColor            RGBCOLOR(255, 60, 75)</span></div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a3bf3d2fcacc0d6e61a931b937710b6c5">   18</a></span>&#160;<span class="preprocessor">#define kDefOrangeColor         RGBCOLOR(255, 155, 0)</span></div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a3495f55afb78a1918db69cf840e11076">   19</a></span>&#160;<span class="preprocessor">#define kHighlightTintColor     RGBCOLOR(0, 199, 148)</span></div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a809a5bc09c4bcd96a7c38bb18a34415d">   20</a></span>&#160;<span class="preprocessor">#define kDisableTintColor       RGBACOLOR(13, 217, 166, 0.4)</span></div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a6eab6f86d8baf25921a050ad44b98acc">   21</a></span>&#160;<span class="preprocessor">#define kDefDisableTintColor    RGBCOLOR(216, 216, 216)</span></div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a6a4f2fbc5409035b0ec080eba561031e">   22</a></span>&#160;<span class="comment">//#define kBackgroundColor        RGBCOLOR(245, 245, 245)</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#define kBackgroundColor        RGBCOLOR(249, 249, 251)</span></div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a43465a2a22046505549e4829619e4346">   24</a></span>&#160;<span class="preprocessor">#define kNewBackgroundColor     RGBCOLOR(249, 249, 251)</span></div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a0eb667a8fef8e2fd0409c0667aaddc1e">   25</a></span>&#160;<span class="preprocessor">#define kGrayTextColor          RGBCOLOR(153, 153, 153)</span></div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a799e22b30ce6691c0ef82c3454100e91">   26</a></span>&#160;<span class="preprocessor">#define kDarkGrayTextColor      RGBCOLOR(102, 102, 102)</span></div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a54066c1a286473063317de23e37c3452">   27</a></span>&#160;<span class="preprocessor">#define kDarkTextColor          RGBCOLOR(51, 51, 51)</span></div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#abdc1a420f78eac5482495cfd8262b4d4">   28</a></span>&#160;<span class="preprocessor">#define kLightLineColor         RGBCOLOR(237, 237, 237)</span></div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a75ad8716d7a2868174c56b0140215178">   29</a></span>&#160;<span class="preprocessor">#define kThemeColor             RGBCOLOR(41,196,182)</span></div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#aab88703ee4f955d41b2fde4993c717b8">   30</a></span>&#160;<span class="preprocessor">#pragma mark - ---------图片设置---------------</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#define kTeacherAvatar          [UIImage imageNamed:@&quot;avatar_teacher&quot;]</span></div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a81b706ab24ca0e16bb8489036539b171">   32</a></span>&#160;<span class="preprocessor">#define kPicturePlacehold       [UIImage imageNamed:@&quot;picture_placehold&quot;]</span></div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="_u_i_constants_8h.html#a96d3d238033a3cf7381a3f64a7c49b9a">   33</a></span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* UIConstants_h */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="_u_i_constants_8h.html">UIConstants.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
